Page MenuHomePhabricator

Design a way to educate on the option to highlight results on the Recent Changes designs
Closed, ResolvedPublic

Description

When working on the updated prototype for Recent Changes (T147632), a concern was risen about whether users would discover the possibilities that highlighting brings to color code the list of results.
Testing shows that users liked the general idea. Furthermore, it was clear in testing that highlighting provides a powerful diagnostic tool that enables users to answer their questions about how the filters work, thus enabling them to master the system more quickly and easily and in a more satisfying way.

We want to explore ways to better educate users about highlighting without distracting from the main use of the filtering panel, which is filtering.

Some initial thoughts:

  • Use the education pattern used in Visual Editor to educate about links and references (T101481). This could help users to notice the feature and provides an opportunity for further explanation. We need to decide when to bring the user attention in order to allow distracting the user the first time the panel is used.
  • Use the "No contributions meet the selected criteria" view. When users add too many filters to get any results, we suggest to remove some filters. Using highlight could be a way to make the criteria less strict and this an opportunity to suggest using it.

Proposed solution (to be implemented in T151006: Educate users about the highlight option and encourage them to try it )

A blue dot with a pulsing halo will be shown with the "highlight results" button inviting users to click. This follows the same pattern as educational popups on Visual Editor (more details in T101481#1504143).


This should only happen when these conditions are met:

  • The invite has not be shown and accepted before for this user. That is, users should only go through this process once at most.
  • The user has not applied highlighting before. That is, users that already used highlight already learnt about the feature by themselves and they don't need to be introduced to it.
  • The user reaches a situation where highlighting can be helpful. These situations include:
    • Selecting a set of filters where some cancel each other (either because they overlap or they cover the whole spectrum of possibilities).
    • Selecting a set of filters so restrictive that lead to showing no results.

When clicking on the "Highlight results" button, a popup panel is shown introducing the feature:

  • A graphic is shown to emphasise the highlighting metaphor.
  • Main concepts are emphasising: (a) the idea of "color coding", (b) the possibility of apply colors to one or more aspects, and (c) the idea of an additional layer of information complementary to the filtering.
  • Once the user closes the popup with the "Ok, got it" button, the highlight mode becomes active automatically without requiring additional steps for the user.

Related Objects

StatusAssignedTask
DuplicateQgil
ResolvedQgil
ResolvedQgil
OpenNone
ResolvedJohan
ResolvedTrizek-WMF
Resolved jmatazzoni
ResolvedDannyH
ResolvedDannyH
Resolved jmatazzoni
Resolved jmatazzoni
ResolvedMooeypoo
ResolvedMooeypoo
ResolvedSBisson
ResolvedMooeypoo
ResolvedMooeypoo
ResolvedMooeypoo
ResolvedMooeypoo
ResolvedMooeypoo
Resolved Mattflaschen-WMF
ResolvedSBisson
Resolved jmatazzoni
ResolvedMooeypoo
ResolvedMooeypoo
ResolvedMooeypoo
Resolved jmatazzoni
ResolvedMooeypoo
Resolved jmatazzoni
ResolvedSBisson
ResolvedMooeypoo
ResolvedMooeypoo
ResolvedMooeypoo
ResolvedPginer-WMF
Resolved jmatazzoni
Resolved jmatazzoni
OpenNone
ResolvedMooeypoo
Resolved jmatazzoni
ResolvedMooeypoo
ResolvedMooeypoo
DeclinedNone
ResolvedMooeypoo
ResolvedMooeypoo
Resolved Mattflaschen-WMF
Resolved Mattflaschen-WMF
Resolved jmatazzoni
ResolvedNone
InvalidNone
ResolvedSBisson
ResolvedMooeypoo
Resolved jmatazzoni
ResolvedSBisson
ResolvedCatrope
Resolved jmatazzoni
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedTrizek-WMF
Resolved jmatazzoni
ResolvedCatrope
ResolvedCatrope
ResolvedSBisson
ResolvedHalfak
ResolvedTrizek-WMF
Resolved jmatazzoni
Resolved jmatazzoni
Resolved jmatazzoni
ResolvedTrizek-WMF
ResolvedCatrope
ResolvedPginer-WMF
Resolved jmatazzoni
DuplicateNone
ResolvedPginer-WMF
Resolved jmatazzoni
ResolvedPginer-WMF
OpenPginer-WMF
ResolvedPginer-WMF

Event Timeline

I agree I wouldn't launch an education popup the first time the user opens the panel. Perhaps the second or third time.

I also like the idea of maybe launching it after we've seen the user engaging in certain behavior: most promisingly, I'd suggest if we see the user selecting overlapping ORES filters (e.g., any combo of may be, likely or very likely at the same time).

Pginer-WMF updated the task description. (Show Details)Nov 16 2016, 11:03 AM

I added details for a proposed solution in the ticket description along the lines of what we discussed as well as other ideas explored as part of T150836: Design onboarding and education process for the new Recent Changes filters

jmatazzoni closed this task as Resolved.Nov 17 2016, 10:22 PM
Pginer-WMF updated the task description. (Show Details)Nov 18 2016, 10:39 AM